Payment Methods
Payment methods define how invoices and subscriptions are paid (e.g., bank transfer, direct debit, credit card).
Use the Datastore_PaymentMethod endpoint to query payment methods.
Endpoints
List Payment Methods
GET
/v1/odata/Datastore_PaymentMethodSingle Payment Method
GET
/v1/odata/Datastore_PaymentMethod({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Payment | Payment | 1:N | Payment |
| Subscription | Activity_Subscription | 1:N | Subscription |
| Invoice | Activity_Invoice | 1:N | Invoice |
Expanding Relationships
GET
/v1/odata/Datastore_PaymentMethod({id})?$expand=PaymentNavigating Relationships
GET
/v1/odata/Datastore_PaymentMethod({id})/PaymentFiltering Examples
GET
/v1/odata/Datastore_PaymentMethod?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_PaymentMethod?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_PaymentMethod?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_PaymentMethod?$filter=IsDefault eq {IsDefault}&$top={top}